@import url('https://fonts.googleapis.com/css2?family=Montserrat&family=Poppins&display=swap');

:root {
    --font-primary: 'Montserrat', sans-serif;
    --font-secondary: 'Poppins', sans-serif;
    --primary-background-color: #ECF0F3;
    --text-accent-color: #ff014f;
}

* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

body {
    background-color: var(--primary-background-color);
}

h1 {
    font-size: 40px;
}

h2 {
    font-size: 32px;
}

h3 {
    font-size: 28px;
}

h4 {
    font-size: 24px;
}

h5 {
    font-size: 20px;
}

h1,
h2 {
    font-family: var(--font-primary);
}

h3,
h4,
h5,
p,
a,
label,
input,
textarea,
button {
    font-family: var(--font-secondary);
}

header {
    padding: 20px 50px;
    box-shadow: 8px 8px 16px px rgba(0, 0, 0, 0.25);
    -webkit-box-shadow: 8px 8px 16px 0px rgba(0, 0, 0, 0.25);
    -moz-box-shadow: 8px 8px 16px 0px rgba(0, 0, 0, 0.25);

    display: flex;
    justify-content: space-between;
    align-items: center;
}

span {
    color: var(--text-accent-color)
}

.nav-list {
    list-style: none;
    display: flex;
}

.nav-list a {
    text-decoration: none;
    color: black;
    text-transform: uppercase;
    font-weight: 600;
}

.nav-list a:hover {
    text-decoration-line: underline;
    text-decoration-thickness: 3px;
    text-decoration-color: var(--text-accent-color);
    text-underline-offset: 5px;
}

#about .container {
    display: flex;
    justify-content: center;
    align-items: center;
}

#about>*>* {
    flex-basis: 100%;
    flex-grow: 1;
}

.nav-list li {
    margin: 16px;
}

.profile-description p:nth-child(1) {
    font-size: 52px;
    font-weight: 600;
}

.profile-description p:nth-child(2) {
    font-size: 36px;
    font-weight: 600;
    margin-bottom: 20px;
}

.profile-description p:nth-last-child(2) {
    margin-bottom: 30px;
}

.social-links a {
    margin-right: 20px
}

.container {
    padding: 115px 0;
    width: 85%;
    margin: 0 auto;
    border-bottom: 1px solid rgba(0, 0, 0, 0.10);
}

.profile-img {
    display: block;
    margin-inline: auto;

    border-radius: 50%;
    width: 70%;
    min-width: 40%;
}

.section-title {
    padding: 15px;
    margin-bottom: 20px;
}

.social-links a {
    text-decoration: none;
    color: black;
}

.section-items {
    padding: 15px;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    column-gap: 50px;
    row-gap: 50px;
}

.section-item-card {
    padding: 30px;
    height: 425px;
    width: 400px;
    border-radius: 5%;

    background-image: linear-gradient(145deg, #e2e8ec, white);

    box-shadow: 8px 8px 16px px rgba(0, 0, 0, 0.25);
    -webkit-box-shadow: 8px 8px 16px 0px rgba(0, 0, 0, 0.25);
    -moz-box-shadow: 8px 8px 16px 0px rgba(0, 0, 0, 0.25);
}

.service-icon {
    margin-bottom: 18px;
}

.service-content h3 {
    margin-bottom: 18px;
}

.section-items a {
    text-decoration: none;
    color: black;
}

.section-items a:hover {
    text-decoration-line: underline;
    text-decoration-thickness: 3px;
    text-decoration-color: var(--text-accent-color);
    text-underline-offset: 5px;
}

.portfolio-img {
    border-radius: 5%;
    margin-bottom: 18px;
    width: 100%;
}

.portfolio-content p {
    color: var(--text-accent-color);
    font-weight: 600;
    text-transform: uppercase;
    font-size: 12px;
    letter-spacing: 2px;
    margin-bottom: 12px;
}

.contact-wrapper {
    margin-top: 50px;
    display: flex;
    justify-content: space-evenly;
}

.contact-wrapper>* {
    padding: 20px;
    border-radius: 2.5%;
    background-image: linear-gradient(145deg, #e2e8ec, white);

    box-shadow: 8px 8px 16px px rgba(0, 0, 0, 0.25);
    -webkit-box-shadow: 8px 8px 16px 0px rgba(0, 0, 0, 0.25);
    -moz-box-shadow: 8px 8px 16px 0px rgba(0, 0, 0, 0.25);
}

.contact-details {
    width: 350px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.contact-details>* {
    margin-bottom: 32px;
}

.contact-details>*>* {
    margin-bottom: 8px;
}

.contact-details p {
    font-size: 18px;
    color: var(--text-accent-color)
}

.contact-form-wrapper {
    width: 550px;
}

label {
    text-transform: uppercase;
    font-size: 13px;
    letter-spacing: 2px;
    margin-bottom: 10px;
    display: block;
}

input,
textarea {
    border-color: rgba(0, 0, 0, 0.10);
    outline-color: var(--text-accent-color);
    width: 100%;
    padding: 8px;
}

textarea {
    resize: none;
}

button {
    height: 35px;
    text-transform: uppercase;
    font-size: 13px;
    letter-spacing: 2px;
}

footer {
    height: 150px;
    background-color: black;
    color: white;
    display: flex;
    justify-content: space-around;
    align-items: center;
}

/* =================
   Start of exercise:
   ================= */

/* TODO 01: Add a selector for the <form> element of .contact-form-wrapper so that it becomes
    a grid container */

/* TODO 02: Use the correct property and values so that the grid has 2 columns of 1fr each */

/* TODO 03: Use the correct propery and value to apply row and column gap of 25px for the grid.
    Use a shorthand. */

/* TODO 04: Add template areas to the grid. It should have 4 rows: first row has the name and email input;
    2nd row has the subject input; 3rd row has the message input; last row has the button but only
    occupies 1 column */

/* TODO 05: Create the required selectors for your template areas. Assign a grid-area name to each
    selector based on your template */